local Menu	= {}
local gr	= love.graphics

function Menu:update( tk )
	if self.size < 1 and active.m then self.size = self.size + tk/2
		else
		if not active.m then self.size = 0 end
		end
	end

function Menu:draw( x, y )
	gr.setColor( 255, 255, 255 )
	gr.draw( self.canvas, x, y, 0, self.size, self.size, self.canvas:getWidth()/2, self.canvas:getHeight()/2 )
	end

function Menu:create()
	local controls = [[
	CONTROLS
Arrows - Move camera
I/O - Zoom in / out
Left Button - Select node
Right Button - Create new link
Space - Add new node to selected
Backspace - Delete selected node
R - Graph Rotation
B - Bounding Box Display
E - Show Edges
L - Show Labels
P - Show Points(nodes)
C - Show Calls [if available]
N - Change Data Set
Z - Show Stats
X - Show Rotational Center
T - Change Node Label
A - Toggle Selected Node Anchor
F/G - Change Selected Node Mass
Q/W - Change Selected Node Size
D - Show Selected Node Data
K - Log Key Strokes
U - Save Image
M - Show This Menu
ESC- Exit
]]
	self.size	= 0
	self.canvas = gr.newCanvas( 320, 550 )
	gr.setCanvas( self.canvas )
		gr.setColor( color.menu )
		gr.rectangle( 'fill', 0, 10, 320, 530, 10, 10 )
		gr.setColor(255,100,255)
		gr.draw(icon,250,20,0,.25,.25)
		gr.setColor( color.text )
		gr.print( controls, 10, 10 )
		gr.setCanvas()
	end

return Menu
