local pulse = { alpha		= 185,
			min		= 105,
			max		= 255,
			step	= 5,	-- intensity change
			cur		= 0,	-- current time step
			dir		= 1,	-- alpha increasing/decreasing
			dur		= 0.01,	-- time between steps
			update	= function(self,tk)
						self.cur = self.cur + tk
						if self.cur > self.dur then
							self.cur = 0
							self.alpha = self.alpha + self.dir * self.step
							if self.alpha > self.max or self.alpha < self.min then
								self.dir = -self.dir
								end
							end
						end
			}
return pulse
