local gr = love.graphics

local text	= {
				new		= '',
				ready	= false,
				enter	= function(self,k)
					if k == 'return' then
						self.ready	= true
						active.t	= false
						elseif k	== 'backspace' then
							self.new = string.sub( self.new, 1, -2)
						elseif k	== 'escape' then
							self.new = ''
						elseif k =='lshift' or k=='rshift' then self.shift = true
						else
							if k == 'space' then k = ' ' end
							local byte = string.byte(k)
							if self.shift and byte>96 and byte<123 then
								k = string.upper( k )
								self.shift = false
								end
						self.new = self.new..k
						end
					end,
				print = function(self,x,y)
					local x, y = x or 10, y or screen.h-20
					gr.setColor(color.text)
					gr.print( ( 'Enter New Label (return): %s' ):format( self.new ), x, y )
					end,
				replace = function( self, node )
					if not node.od then node.od	= node.id end
					if node.id==firstNode then firstNode = self.new end
					node.id =  self.new		-- changes only id field (the name) not nodes[id]
					self.new	= ''
					self.ready	= false
					active.t	= false
					return node.od
					end
				}
text.shift = false
return text
